geode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From John Blum <jb...@pivotal.io>
Subject Re: [DISCUSS] Add GEODE-7261 and GEODE-7241 to release/1.9.2
Date Mon, 14 Oct 2019 18:20:49 GMT
+1

On Mon, Oct 14, 2019 at 11:19 AM Udo Kohlmeyer <udo@apache.com> wrote:

> +1 to including both.
>
> On 10/14/19 10:52 AM, Dick Cavender wrote:
> > +1 for both fixes and the original list
> >
> >
> > On Mon, Oct 7, 2019 at 5:00 PM Owen Nichols <onichols@pivotal.io> wrote:
> >
> >> Sounds like a big win for convenience, and clearly a regression relative
> >> to the last release of Geode that SBDG picked up (1.6).  Thanks for
> >> clarifying what is at stake.
> >>
> >> +1 for including both fixes
> >>
> >>> On Oct 7, 2019, at 4:50 PM, Udo Kohlmeyer <udo@apache.com> wrote:
> >>>
> >>> Hi there Owen,
> >>>
> >>> I apologize if it is not clear.
> >>>
> >>> GEODE-7241 is a regression where the published artifact "geode-web" and
> >> "geode-web-api" were published as jars and not wars.
> >>> NOW, why is it critical for 1.9.x... Well, the answer is fairly short.
> >> In Spring Data Geode, there is an ability to start/bootstrap a server
> using
> >> Spring Data Geode(SDG) only. This feature can be used for testing as
> well
> >> as starting a Server using SDG. In order to start the server using SDG,
> all
> >> that is required is to add the geode-web + geode-web-api artifacts onto
> the
> >> classpath as a maven/gradle dependency. There is no more requirement to
> >> download the project and reference libs or using GFSH to start the
> server.
> >>> WHEN the extension went from war -> jar, this functionality was broken.
> >> The latest version of SDG (2.2.x) will be based on Geode 1.9. and not
> 1.10+
> >> which means that SDG will not gain that functionality. SDG would have to
> >> wait for its next release 2.3.x, which is still quite some way off.
> >>> Usually this is not a big thing, but given Spring's prescribed manner
> of
> >> handling versions of dependent libraries, the version of Geode cannot be
> >> changed and only patch versions are allowed. So, in order to address the
> >> regression, a patch to 1.9.x is requested.
> >>> Hope that this explains it a little better.
> >>>
> >>> --Udo
> >>>
> >>> On 10/7/19 3:50 PM, Owen Nichols wrote:
> >>>> I don’t yet have a clear understanding of what makes these critical,
> >>>> especially GEODE-7241. Can you elaborate, including:
> >>>> * Are these fixes already in 1.10?  If not, would a 1.10.1 patch be
> >>>> required as well?
> >>>> * What is the impact of not including each of these fixes?  Is there
a
> >>>> workaround?
> >>>>
> >>>> On Fri, Oct 4, 2019 at 10:44 AM Jens Deppe <jdeppe@pivotal.io>
wrote:
> >>>>
> >>>>> I'd like to propose adding these two fixes to release/1.9.2
> >>>>>
> >>>>> GEODE-7261 ensures that the Admin REST service can start when Spring
> >> Boot
> >>>>> Data Geode is used to launch a server.
> >>>>>
> >>>>> GEODE-7241 publishes our various war artifacts to maven. This ensures
> >> that,
> >>>>> in the context of starting a SBDG server, the necessary REST wars
can
> >> be
> >>>>> made available in order to start the required REST services.
> >>>>>
> >>>>> Thanks
> >>>>>
> >>>>> --Jens
> >>>>>
> >>
>


-- 
-John
john.blum10101 (skype)

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message